<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

function get_member_level($mb_id,$mb_point) {
    global $g4;

		$is_admin = is_admin($mb_id);
		$point = $mb_point;
		$level = ceil($point / 5000); //반올림을 하여 레벨을 구함.
		if($mb_id)if($level <= 1) $level = 1; // 위 반올림에서 렙1미만 회원에게 레벨1을 줌, (비회원은 0)
		if ($level > 59) $level = 59; // 최대 레벨 설정
		if($is_admin == 'super') $level = 60; //관리자는 최고 레벨
		$no = sprintf("%03d", $level);
		return "<img src='http://reapier.cdn1.cafe24.com/l1/{$no}.gif' align=absmiddle hspace=1 title='등급 {$level} / ".number_format($mb_point)."점'>";
}

//포인트 상태바
function exp_bar($mb_id,$mb_point,$option) {
		global $g4;
		
		$is_admin = is_admin($mb_id);
		$point = $mb_point;
		$level = ceil($point / 2500); //반올림을 하여 레벨을 구함.
		if($mb_id)if($level <= 1){$level = 1;} // 반올림에서 렙1미만 회원에게 레벨1을 줌, (비회원은 0)
		if ($level > 59){$level = 59;} //최대 레벨 설정
		if($is_admin == 'super'){$level = 60;} //관리자는 최고 레벨
		$no = sprintf("%03d", $level);
		$max = $level * 2500;
		if(!$level){$max=2500; $a_max=2500; $a_min=0;}else{$a_max = (int)($max / $level);$a_min = (int)($point - (2500 * ($level-1)));} //레벨이 없으면 최대값, 있으면 레벨에 맞는 최대값을 구함

		if($is_admin == 'super'){$max=2500; $a_max=2500; $a_min=0;} //관리자는 기본세팅
		
	    $bar = (int)($a_min / $a_max * 100);
		if($bar > 100) $bar = 0;
        $graph = $bar."%"; //등급, 경험치바 표시
		if($level == 0){$level = "--";} // 레벨값을 이용해 레벨대신 표시
		//if($level == 60){$level = "admin";} // 레벨값을 이용해 레벨대신 표시
		
		if($option == 1){
			echo "<table border='0' cellspacing='0' cellpadding='0'><tr><td><table width='62' border='0' cellspacing='0' cellpadding='0' background='$g4[path]/img/exp_bar.gif'><tr height='1'><td colspan='3'></td></tr><tr height='5'><td width='1'></td><td width='60'><img src='$g4[path]/img/exp_in.gif' width='$graph' height='5'></td><td width='1'></td></tr><tr height='1'><td colspan='3'></td></tr></table></td><td>&nbsp;<span style='color:#479b11; font-size:10px; font-family:돋음; vertical-align:1px;'><span style='font-size:11px;font-weight:bold;'>$level</span>-$graph</span><td></tr></table>";
		}
}

function level_icon($mb_level) {
	
	global $g4;

	if($mb_level == 10)echo "<img src='$g4[path]/img/level_img/level10.gif'> ";
	if($mb_level == 9)echo "<img src='$g4[path]/img/level_img/level9.gif'> ";
	if($mb_level == 8)echo "<img src='$g4[path]/img/level_img/level8.gif'> ";
	if($mb_level == 7)echo "<img src='$g4[path]/img/level_img/level7.gif'> ";
	if($mb_level == 6)echo "<img src='$g4[path]/img/level_img/level6.gif'> ";
	if($mb_level == 5)echo "<img src='$g4[path]/img/level_img/level5.gif'> ";
	if($mb_level == 4)echo "<img src='$g4[path]/img/level_img/level4.gif'> ";
	if($mb_level == 3)echo "<img src='$g4[path]/img/level_img/level3.gif'> ";
	if($mb_level == 2)echo "<img src='$g4[path]/img/level_img/level0.gif'> ";
	//if($mb_level == 1)echo "<img src='$g4[path]/img/level_img/level5.gif'> ";
	//if($mb_level == 0)echo "<img src='$g4[path]/img/level_img/level0.gif'> ";

}

?>